Sessions
List shares
List the people, teams and organization this is shared with. Requires Write on it.
GET
/
v1
/
sessions
/
{sessionId}
/
sharing
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const share = await client.sessions.shares.list('sessionId', {
limit: 50,
});use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client.sessions().shares().list("example").send().await?;
curl --request GET \
--url https://api.tembo.io/v1/sessions/{sessionId}/sharing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/sessions/{sessionId}/sharing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/sessions/{sessionId}/sharing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/sessions/{sessionId}/sharing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/sessions/{sessionId}/sharing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/sessions/{sessionId}/sharing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/sessions/{sessionId}/sharing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"audience": {
"type": "user",
"id": "<string>",
"name": "<string>"
},
"createdAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"permission": "<string>"
}{
"error": "<string>",
"permission": "<string>"
}{
"error": "<string>",
"permission": "<string>"
}{
"error": "<string>",
"permission": "<string>"
}Authorizations
Query Parameters
Continuation cursor from the previous response nextCursor. Omit for the first page; null nextCursor means there are no more pages.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const share = await client.sessions.shares.list('sessionId', {
limit: 50,
});use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client.sessions().shares().list("example").send().await?;
curl --request GET \
--url https://api.tembo.io/v1/sessions/{sessionId}/sharing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/sessions/{sessionId}/sharing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/sessions/{sessionId}/sharing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/sessions/{sessionId}/sharing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/sessions/{sessionId}/sharing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/sessions/{sessionId}/sharing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/sessions/{sessionId}/sharing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"audience": {
"type": "user",
"id": "<string>",
"name": "<string>"
},
"createdAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"permission": "<string>"
}{
"error": "<string>",
"permission": "<string>"
}{
"error": "<string>",
"permission": "<string>"
}{
"error": "<string>",
"permission": "<string>"
}